# LEGO-prototype


## Name
LEGO WORLD app prototype

## Description
This is a prototype for the LEGOWORLD project, consists of two directories located in master brunch, graph and ui. 


## Installation

Lego Prototype Instructions
**Step 1: Clone Repository**

in your terminal window:

_git clone -b master git@gitlab.doc.gold.ac.uk:lego/lego-prototype.git_
This command downloads the lego-prototype repository to your local machine.

**Step 2: Set Up Neo4j Database**
Download and install Neo4j Desktop from Neo4j Desktop Download.

Copy and paste the registration key after installation.

Open Neo4j Desktop, stop the default database if running, and create a new local DBMS database named "LEGO" with a specified name and password.

Start the LEGO database and open it.

Locate the CSV file containing Cypher database commands. Open it in a code or text editor, copy the contents, and paste them into the Neo4j Desktop command line.

In your terminal, navigate to the downloaded lego-prototype directory, change to the server directory, and run _node index.js._

Visit localhost:3005/api/users in your browser to confirm successful database activation.

**Step 3: Run Data Visualization Prototype**
Change to the client directory.

Run the following commands in your terminal:

in your terminal window:

_npm install
npm start_

The React development server will open in your browser, displaying the data visualization prototype.

**Step 4: Run UI Prototype**
Change to the root directory of the downloaded repository.

Run the following command:

in your terminal window:

_node app.js_
Check for the successful feedback in the terminal.

Open your browser to see the prototype for data input screens.

**Step 5: Input Data and Visualize**
Input data into the form, create relationships and identities.

Hit the "Create" button and check your browser for the connection.

Refresh the browser on localhost:3000 to see the new data input visualized in the form of a graph.

Visit localhost:3005/api/users to search for added data within dataset records.

Explore relationships, connect nodes, and visualize data interactions.

**Step 6: Static Data Visualization**
Visit http://localhost:5002/ to view static data visualization in the form of a list.

These instructions guide you through setting up and running the lego-prototype, including data graph visualization and user interface prototypes.
